<?php
# ************** LICENCE ****************
/*
	Copyright (c) PORTANEO.

	This file is part of COLLABORATION SUITE of POSH http://sourceforge.net/projects/posh/.

	POSH is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version

	POSH is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Posh.  If not, see <http://www.gnu.org/licenses/>.
*/
# ***************************************
# Get all public groups 
# !! be careful, this file must be saved under uft8 format, and display an e accentuated here : éàèù
# ***************************************

/**
* \brief Get users working groups
*
*   return xml file
*
*  \relatesalso
*   application.js
*   $p.group.getAllGroups
*
* !! be careful, this file must be saved under uft8 format, and display an e accentuated here : é
*
**/

$folder = "";
$not_access = 1;
$granted = "I";
$pagename = "portal/xmlnetwork_allworkinggroups.php";
//includes
require_once('includes.php');
require_once('../db_layer/'.__DBTYPE.'/enterprise.php');
require_once('../includes/xml.inc.php');

$file = new xmlFile();

$file->header("workinggroups");

$page = (isset($_GET['page']) ? $_GET['page'] : 0);
$nbByPage = 20;

// get all public groups
$DB->getResults($xmlnetwork_allworkinggroups, $DB->escape($_SESSION['user_id']),$page * $nbByPage, $nbByPage + 1);
while ($row = $DB->fetch(0))
{
	echo "<workinggroup>";
	echo "<id>".$row["id"]."</id>";
	echo "<name><![CDATA[".$row["name"]."]]></name>";
	echo "<description><![CDATA[".$row["description"]."]]></description>";
	echo "<picture><![CDATA[".$row["picture"]."]]></picture>";
	echo "<created_by>".$row["created_by"]."</created_by>";
	echo "<status>".$row["status"]."</status>";
	echo "<allowunsubscribe>" . $row['allowUnsubscribe'] . "</allowunsubscribe>";
	echo "</workinggroup>";
}

$file->footer();

$DB->close();
?>